Different Results with Powershel v2 and v3

Hope someone can help me determine why there is a difference in my data between v2 and v3 of Powershell. I do my development on my laptop which has version 3 installed, but the script is executed on a server which has version 2 installed.
#create directory searcher object and set it's porperties
$searcher = New-Object DirectoryServices.DirectorySearcher
# (!userAccountControl:1.2.840.113556.1.4.803:=2) - Filters out disabled accounts
$searcher.Filter = '(&(objectCategory=person)(objectClass=user)(!samaccountname=ITS-*)(!userAccountControl:1.2.840.113556.1.4.803:=2))'
$searcher.PageSize = 5
$searcher.SearchRoot = "LDAP://OU=District Offices,DC=myDomain,DC=com"
#load only the following properties
$params = @("samaccountname","sn","givenname","mail","physicaldeliveryofficename","department","title","manager","distinguishedname")
foreach($param in $params)
$searcher.PropertiesToLoad.Add($param) | Out-Null
try
$found = $searcher.FindAll()
$found | ForEach-Object {
if (($_.Properties["distinguishedname"] -notlike "*,OU=Generic User Accounts*") -and ($_.Properties["title"] -notlike "*Consultant*") `
-and ($_.Properties["title"] -notlike "*Commissioner*") -and ($_.Properties["title"] -notlike "*Security Guard*") `
-and ($_.Properties["title"] -notlike "*OSC*") -and ($_.Properties["title"] -notlike "*DCC*Temp*") -and ($_.Properties["samaccountname"] -ne "tbjohn") `
-and (($_.Properties["mail"] -ne "")))
$filtered += $_
Running this script on my machine produces the data that the user is looking for. When I run it on the server, there are users in the data file that should not be. In the filter statement if I change
-and (($_.Properties["mail"] -ne "")))
#TO BE
-and (($_.Properties["mail"] -ne $null)))
Then those users are removed, but then other users are included and I haven't figured out why yet. Why would there be a difference, with the above script? I would think that should work in any version but obviously that is not true.
If you find that my post has answered your question, please mark it as the answer. If you find my post to be helpful in anyway, please click vote as helpful.
Don't Retire Technet

jrv, with your modifications, things look to be going great, but again I am having an issue between version 3 and version 2 of powershell
I have the following code in a file
$searcher = New-Object DirectoryServices.DirectorySearcher
$searcher.Filter = '(&(objectCategory=person)(objectClass=user)(mail=*)(!samaccountname=ITS-*)(!userAccountControl:1.2.840.113556.1.4.803:=2))'
$searcher.PageSize = 5
$searcher.SearchRoot = "LDAP://OU=District Offices,DC=MyDomain,DC=com"
#load only the following properties
$params = @("samaccountname","sn","givenname","mail","physicaldeliveryofficename","department","title","manager","distinguishedname")
foreach($param in $params)
$searcher.PropertiesToLoad.Add($param) | Out-Null
# Filtered results to exclude certain OU's
$filtered = @()
try
$filtered += $searcher.FindAll() | Where {
$_.Properties["distinguishedname"][0] -notmatch ",OU=Generic User Accounts" `
-and $_.Properties["title"][0] -notmatch "Consultant|Commissioner|Security Guard|OCS|DCC.*Temp" `
-and $_.Properties["samaccountname"][0] -ne "tbjohn"
$filtered.Count
catch
Write-Host "Error occured $_"
exit
I then did two different tests. In a command window I run the following
C:\Windows\System32\WindowsPowershell\v1.0\powershell.exe -Version 3.0 -ExecutionPolicy RemoteSigned -File F:\PS_Scripts\ADTest.ps1
The results here return the count of 2485, yet if I force it to use version two with the following command
C:\Windows\System32\WindowsPowershell\v1.0\powershell.exe -Version 2.0 -ExecutionPolicy RemoteSigned -File F:\PS_Scripts\ADTest.ps1
The results returned is an error stating "Cannot index into a null array", is there a difference in the DirectorySearcher object in version 2.0 compared to version 3.0?
If you find that my post has answered your question, please mark it as the answer. If you find my post to be helpful in anyway, please click vote as helpful.
Don't Retire Technet

Similar Messages

  • Different Risk Analysis Results with 10.0 and 10.1

    Hello,
    I do not understand why I get different results with 10.0 and 10.1. Exactly the same ruleset is applied!
    Definition in 10.0 and 10.1:
    Analyzed Role (which definitely contains the SOD):
    Version GRC 10.0 finds the SOD S_FI14 and displays it. In 10.1 nothing is displayed...Any ideas what's the problem?
    Regards
    Peter

    We had similar issues with 10 and 10.1.
    We applied an SAP Note about logical groups and the ruleset, it did not work.
    What did work:
    When performing Risk Analysis, remove the Ruleset selection criteria (use the minus button).

  • I have two different accounts with I-tunes and I want to link both purchases for my music to one account. How can I do this?

    I have two different accounts with I-tunes and I want to link both purchases for my music to one account. How can I do this?

    You are going to need to change the email address you use with your old ID. Once you have got access to your old account you will then log into both accounts at the same time on your Mac and transfer your data to a single account. We can do this later, but need you to get access to your old account first.
    My Apple ID

  • Different Results From V$Rman_Backup_job_details  and V$Rman_Status

    Does anyone know why I would get different results from V$Rman_Backup_job_details and V$Rman_Status on the same instance?
    Image of Quries: www.hydell.com/OracleBackupDifferences.png
    Dates Returned For Latest Backup
    V$Rman_Status = 10/13/2011
    V$Rman_Backup_job_details = 7/24/2011
    Which view is the best to use for monitoring backups?
    Thanks in advance for the help.
    Rob

    oracle.dba.89 wrote:
    Please show the script and that might help look into this. Also the timezone of the OS shows EST. And cron shows the scheduled time at 12hrs. It should run at 12:00 EST hours and not GMT.
    Also please post output for below queries. Are backups run from the same node? (If RAC)
    select value from dba_scheduler_global_attribute where attribute_name = 'DEFAULT_TIMEZONE';
    Hi,
    This is the backup script
    #Set Variables
    ORACLE_HOME=/projects1/oramroprod/oracle/product/10.2.0/db_4
    ORACLE_SID=MROPROD
    PATH=$PATH:$ORACLE_HOME/bin
    btype="FULL"
    RMAN_BACKUP_LOC=/data1/RMAN/MROPROD
    export ORACLE_HOME
    export ORACLE_SID
    export PATH
    export btype
    tag="$ORACLE_SID"_"$btype"
    #Print commands and their arguments as they are executed
    set -x
    SDATE=`date +%m%d%y`
    STIME=`date +%H%M%S`
    DD=`date +%d%m%y`
    #Create daily backup directories
    mkdir -p $RMAN_BACKUP_LOC/datafiles_backup/bkp_${DD}
    mkdir -p $RMAN_BACKUP_LOC/controlfile_backup/bkp_${DD}
    mkdir -p $RMAN_BACKUP_LOC/arch_backup/bkp_${DD}
    mkdir $RMAN_BACKUP_LOC/logs
    #Take backup
    rman target / nocatalog log=$RMAN_BACKUP_LOC/logs/rman_${btype}_backup_${SDATE}_${STIME}.log << EOF1
    change archivelog all crosscheck;
    run {
    CONFIGURE RETENTION POLICY TO REDUNDANCY 1;
    CONFIGURE DEVICE TYPE DISK PARALLELISM 2 BACKUP TYPE TO BACKUPSET;
    backup as compressed backupset incremental level 0 database tag '$tag' format '$RMAN_BACKUP_LOC/datafiles_backup/bkp_${DD}/%d_%s_%p';
    backup as compressed backupset archivelog all not backed up 1 times FORMAT '$RMAN_BACKUP_LOC/arch_backup/bkp_${DD}/ARCH_%d_%s_%p';
    CONFIGURE CONTROLFILE AUTOBACKUP FORMAT FOR DEVICE TYPE DISK TO  '$RMAN_BACKUP_LOC/controlfile_backup/bkp_${DD}/%F';
    delete noprompt obsolete;
    delete noprompt archivelog all completed before 'sysdate-2';
    EXIT;
    EOF1
    This is not RAC.
    SQL> select value from dba_scheduler_global_attribute where attribute_name = 'DEFAULT_TIMEZONE';
    VALUE
    GMT

  • Problem with different resultset with same data and same query in Oracle 8.1.7 and 9i

    Hello,
    I have been using this query in oracle 8.1.7
    SELECT
    ID,
    AREA_NO
    FROM MANAGER_AREA MGR
    WHERE COMPANY_ID = :id AND
    (:value < (SELECT COUNT(ROWID)
    FROM MANAGER_WORK MW
    WHERE MW.AREA_ID = MGR.ID AND
    (MW.END_WORK IS NULL OR MW.END_WORK >= SYSDATE)))
    order by AREA_NO;
    In the above query I want to see rows from MANAGER_AREA table depending upon date criteria in the table MANAGER_WORK and also upon the parameter :value i.e if I pass a value as 0 I get to see records for which their is atleast 1 record in MANAGER_WORK with the date criteria and if I pass -1 then I get all the records because minimum value that count(*) would give is 0. The resultset was as expected in 8.1.7.
    A couple of days back I installed PERSONAL 9i to test for testing the basic functionality of our program with the same data. This query fails and irrespective whether I pass -1 or 0 it returns me same dataset which I would have got in case if I pass 0.
    I do not know whether this is a bug that has got introduced in 9i. Can anybody help me with this problem. It would be difficult for me to change the parameter send to this query as the Query is called from many different places.
    Thanks in advance
    Amol.

    I cannot use a Group by and a having statement over here. The problem with 'Group by' and 'having' clause is If I have to make a join between the two tables. When I use join then I get only rows that are linked to each other in the table.
    If I use outer join to solve that problem then I have to take in consideration the other date condition. My previous query use to virtually discard the corelated query result by using -1 as the value. This will not happen in the join query.
    Amol.

  • Drawing images gives 2 different results with the same code.

    Im adding my code on here, and its sort of long but ill try to explain it. Most of it you can ignore.
    Anyway i'm making a tree menu with only 1 level of expansion. So you have a TreeMenu object, and this object has some Branch classes. These Branch classes have Leaf classes. That is all. On the menu there is also a little box where you can click to expand and collapse each branch. if a branch is expanded, all of its leaves are shown. if it is collapsed only the branch name is shown.
    So far what I've described above works, there is a small scale compilable working program, that is alright. Theres just a few bugs to fix.
    A little feature of the tree is if a branch or a leaf is selected (has been clicked on in the past) it has a blue background. This sort of works. The branch names seem to work alright, and some of the leaves. However other if you run the example i provided you can click on Leaf 1, and it will be ok, but if you click on Leaf 2 then there blue background is twice as big as it should be. But for the rest, it works ok.
    This is weird to me because the same code handles any of these same situations. So it seems that i get 2 diferent results with the same code. If anyone would like to help heres some stuff you should know:
    You can ignore Leaf class, i dont think theres any errors in there.
    You can ignore just about all of Branch class except the update() method.
    You can ignore all of TreeMenu class except the inner MouseListener class might be useful.
    You can ignore TreeTester. Just the JFrame tester class.
    to run the code:
    javac TreeMenu.java
    java TreeMenu
    http://cs.ucsb.edu/~jsterling/treemenu.zip
    thanks.

    You make a good point Stefan but unfortunately I already checked that.  I have even copied the mapping (right click copy) and pasted it from the working Mapping to the bad Map (Paste) to make sure the context values were all the same.
    I also opened all the queues and compared the values in each.  All values match exactly except for the result(out) queue.
    In both tests I am using the same IDOC XML file. 
    These are the only differences I see.
    1.  The IDOC is exactly the same as far as I can tell but they come from two different source SWCV.  SAP APPL 4.7 and Steelcase_Procurement (ECC 6.0). 
    2.  The working map uses a local UDF.  The bad map calls the UDF from a Function Group.  Is there a Java version difference between the two?
    A better sample of the result queues look like this:
    Correct Result:
    Thickness of Glass: 20
    Height: 10
    Width: 5
    Length: 18
    Thickness of Glass: 10
    Height: 15
    Width: 8
    Length: 14
    Bad Result:
    Thickness of Glass: 20
    <null>
    <null>
    <null>
    Width: 5
    <null>
    <null>
    <null>
    I took this chance to redesign my Variant Config output to separate the characteristics/values, but I'm still bothered that I was unable to determine what would cause the differing values.
    Any ideas?
    Thanks,
    Matt

  • Different result in frame viewer and canvas

    I´m doing some color correction with the 3 way CC tool and i´m having troubles with Frame Viewer: the results are not the same in the Canvas and Frame Viewer. The colors in Frame Viewer are a little bit more saturated and they are also a bit darker.
    I figured out that it happens in a lot of different configurations (Mac Pro, Imac and macbook Pro) but just with Snow Leopard.
    This problem doesn't exist in Tiger and i haven't the opportunity to test it with leopard.
    I found a topic in this forum support, where a guy had the same problem, he solved with the excess luma command, but it doesn't make sense, infact I still have this problem.
    I think that this is a software problem and also quite big, btw what i want to know is, which reference is more accurate?
    Time Viewer or canvas?

    sdd84 wrote:
    ...what i want to know is, which reference is more accurate?
    Time Viewer or canvas?
    Neither.
    FCP is showing you a low res proxy of the image. Final Cut Pro does this because it is about concentrating on the flow of your story, not color fidelity. That is less demanding on the CPU.
    To color correct accurately, your system needs to be connected to a calibrated external video monitor (or at the vey least, an excellent TV) fed by a qualified capture card such as those from AJA, Black Magic or Matrox.

  • Using digital tv in different countries with ATSC/M and DVB/PAL formats

    Are there any Toshiba LED/LCD/plasma models 40-42" that will function with both DVB and ATSC digital formats and M (NTSC) and PAL analogue formats?

    Alex,
    This is sort of the holy grail for me as well, I've got an upgraded PC with a dual analog tuner and a single DTV tuner on it - for now I'm using a TV antenna to get DTV transmissions and using the analog for ch 2-83 cable.  Not ideal, but the OTA stuff is great.  One side benefit - it still records in .DVR-MS format, which most applications know what to do with.  Not too many out there that know what to do with .WTV format that the update pack (Fiji) creates.
    From what I understand - if you have a newer QAM tuner and driver - Win7 should bring it all together.   Maybe by then the video editing packages will be able to handle the new format as well.
    -dm (an HP employee, but the comments/suggestions are mine, not my employers).
    -DM (HP Retiree)
    NOTE: If this helps you or solved your problem - please say thanks by clicking the white kudos star on the left.
    If you think this would also help others, please mark 'Accept as Solution' to help them find it easier.

  • Create a different db with same db_name and now cannot start apex

    Hi All
    we create a db in the same box with my old db.
    The purpose is we need to change the default character set to unicode.
    And How do we start apex?
    Is there a command line tool to start apex?
    -Thanks for the help!

    Hi umesh,
    Thanks for your help.
    That means we can set up two database with same db_name and domain is system. the duplicate DB (second DB) does not affect primary DB in system and makes a confusion for client application? suppose i use TNS to control each DB by IP .
    also, can we use db_link to link two differnet OS plastform( window 32 bit and linuc 64 bit redhat with service name) oacle version is 10 g too?
    I try to configure a TNS in primary DB tnaname file but fail with TNS : no listener ora-12541 during connect linux DB server.
    But I copy this TNS to new window 32 bit PC with oracle client. it works to link to linux db services.
    which issue?
    Thnak for help
    JIM
    Edited by: user589812 on Jul 3, 2009 9:00 AM

  • [Solved]Getting different results with PKGBUILD and compiling manually

    Hi,
    When I compile this one package manually and install it, it works 100% however when I try it in a PKGBUILD the compile fails.
    Here is the PKGBUILD I have so far (still working on it)
    pkgname=smtp-gated
    pkgver=1.4.16.2
    pkgrel=1
    pkgdesc="This software block SMTP sessions used by e-mail worms and viruses on the NA(P)T router. It acts like proxy, intercepting outgoing SMTP connections and scanning session data on-the-fly. When messages is infected, the SMTP session is terminated. It's to be used (mostly) by ISPs, so they can eliminate infected hosts from their network, and (preferably) educate their users."
    url="http://smtp-proxy.klolik.org/"
    license="GNU"
    arch=('i686' 'x86_64')
    #depends=('')
    #install=smtp-gated.install
    source=("$url/files/$pkgname-$pkgver.tar.gz")
    md5sums=('3857d03c847efd89b052acaeffaa453b')
    build() {
    cd $startdir/src/$pkgname-$pkgver || return 1
    msg CONFIGURE
    #./configure --prefix=/usr || return 1
    ./configure || return 1
    msg MAKE
    make || return 1
    msg INSTALL
    make install INSTALL_ROOT=$startdir/pkg/ || return 1
    And the compile error when I run "makepkg"
    ==> MAKE
    make all-recursive
    make[1]: Entering directory `/root/ABS_snmp-gated/src/smtp-gated-1.4.16.2'
    Making all in src
    make[2]: Entering directory `/root/ABS_snmp-gated/src/smtp-gated-1.4.16.2/src'
    if gcc -DHAVE_CONFIG_H -I. -I. -I.. -DMD5_TEST -march=x86-64 -mtune=generic -O2 -pipe -Wall -MT md5_test-md5.o -MD -MP -MF ".deps/md5_test-md5.Tpo" -c -o md5_test-md5.o `test -f 'md5.c' || echo './'`md5.c; \
    then mv -f ".deps/md5_test-md5.Tpo" ".deps/md5_test-md5.Po"; else rm -f ".deps/md5_test-md5.Tpo"; exit 1; fi
    gcc -march=x86-64 -mtune=generic -O2 -pipe -Wall -Wl,--hash-style=gnu -Wl,--as-needed -o md5-test md5_test-md5.o
    if gcc -DHAVE_CONFIG_H -I. -I. -I.. -march=x86-64 -mtune=generic -O2 -pipe -Wall -MT regex-test.o -MD -MP -MF ".deps/regex-test.Tpo" -c -o regex-test.o regex-test.c; \
    then mv -f ".deps/regex-test.Tpo" ".deps/regex-test.Po"; else rm -f ".deps/regex-test.Tpo"; exit 1; fi
    gcc -march=x86-64 -mtune=generic -O2 -pipe -Wall -Wl,--hash-style=gnu -Wl,--as-needed -o regex-test -lpcre regex-test.o
    regex-test.o: In function `main':
    regex-test.c:(.text+0xc): undefined reference to `pcre_version'
    regex-test.c:(.text+0x3c): undefined reference to `pcre_compile'
    regex-test.c:(.text+0x71): undefined reference to `pcre_exec'
    regex-test.c:(.text+0x88): undefined reference to `pcre_free'
    collect2: ld returned 1 exit status
    make[2]: *** [regex-test] Error 1
    make[2]: Leaving directory `/root/ABS_snmp-gated/src/smtp-gated-1.4.16.2/src'
    make[1]: *** [all-recursive] Error 1
    make[1]: Leaving directory `/root/ABS_snmp-gated/src/smtp-gated-1.4.16.2'
    make: *** [all] Error 2
    Any pointers or help would be greatly appreciated.
    Last edited by Tinuva (2010-01-27 11:55:41)

    Alright not sure if this is up to standard to go into AUR but this is what I have for now:
    PKGBUILD:
    pkgname=smtp-gated
    pkgver=1.4.16.2
    pkgrel=1
    pkgdesc="This software block SMTP sessions used by e-mail worms and viruses on the NA(P)T router. It acts like proxy, intercepting outgoing SMTP connections and scanning session data on-the-fly. When messages is infected, the SMTP session is terminated. It's to be used (mostly) by ISPs, so they can eliminate infected hosts from their network, and (preferably) educate their users."
    url="http://smtp-proxy.klolik.org/"
    license="GNU"
    arch=('i686' 'x86_64')
    #depends=('')
    install=smtp-gated.install
    source=("$url/files/$pkgname-$pkgver.tar.gz")
    md5sums=('3857d03c847efd89b052acaeffaa453b')
    build() {
    cd $startdir/src/$pkgname-$pkgver || return 1
    msg CONFIGURE
    export LDFLAGS="${LDFLAGS//-Wl,--as-needed}"
    ./configure --prefix=/usr || return 1
    msg MAKE
    make || return 1
    msg INSTALL
    make install INSTALL_ROOT=$startdir/pkg/ || return 1
    install -D -m755 ../../smtp-gated ${startdir}/pkg/etc/rc.d/smtp-gated || return 1
    install -D -m644 ../../smtp-gated.conf ${startdir}/pkg/etc/smtp-gated.conf || return 1
    smtp-gated.install
    # arg 1: the new package version
    post_install() {
    mkdir /var/run/smtp-gated
    mkdir /var/spool/smtp-gated
    mkdir /var/spool/smtp-gated/msg
    chown mail.mail /var/run/smtp-gated
    chown mail.mail /var/spool/smtp-gated -R
    echo "
    SMTP-GATED Instructions:
    After installing SMTP-GATED you need to edit smtp-gated.ini
    Good luck!
    /bin/true
    op=$1
    shift
    $op $*
    smtp-gated that goes into /etc/rc.d/
    #!/bin/bash
    . /etc/rc.conf
    . /etc/rc.d/functions
    # source application-specific settings
    [ -f /etc/conf.d/$NAME ] && . /etc/conf.d/$NAME
    # PATH should only include /usr/* if it runs after the mountnfs.sh script
    PATH=/usr/sbin:/usr/bin:/sbin:/bin
    DESC="SMTP Proxy"
    NAME=smtp-gated
    DAEMON=/usr/sbin/$NAME
    CONFIG=/etc/$NAME.conf
    DAEMON_ARGS="$CONFIG"
    PID=/var/run/$NAME/$NAME.pid
    SCRIPTNAME=/etc/rc.d/$NAME
    # Exit if the package is not installed
    [ -x "$DAEMON" ] || exit 0
    # Read configuration variable file if it is present
    [ -f /etc/conf.d/$NAME ] && . /etc/conf.d/$NAME
    case "$1" in
    start)
    stat_busy "Starting $NAME"
    #[ -z "$PID" ] && $DAEMON $DAEMON_ARGS
    $DAEMON $DAEMON_ARGS &>/dev/null
    if [ $? -gt 0 ]; then
    stat_fail
    else
    add_daemon $NAME
    stat_done
    fi
    stop)
    stat_busy "Stopping $NAME"
    #[ -n "$PID" ] && kill $PID &> /dev/null
    smtp-gated -K &> /dev/null
    if [ $? -gt 0 ]; then
    stat_fail
    else
    rm_daemon $NAME
    stat_done
    fi
    restart)
    $0 stop
    # will not start if not fully stopped, so sleep
    sleep 2
    $0 start
    echo "usage: $0 {start|stop|restart}"
    esac
    smtp-gated.conf that goes into /etc
    # Virus scanning: yes
    # SPAM scanning: yes
    #proxy_name smtp-proxy.mydomain.com
    port 9199
    ; bind_address 192.168.1.254
    ; source_addr 0.0.0.0
    mode netfilter
    ; action_script /etc/smtp-gated-action.sh
    lock_duration 1800
    lock_path /var/spool/smtp-gated/lock
    spool_path /var/spool/smtp-gated/msg
    spool_perm 0660
    pidfile /var/run/smtp-gated/smtp-gated.pid
    ;dumpfile /var/run/smtp-gated/smtp-state-dump
    set_user mail
    priority 5
    lock_on virus,spam,maxhost
    max_connections 64
    max_per_host 10
    ;max_per_ident 6
    ;max_load 3.0
    ignore_errors yes
    spool_leave_on error,spam
    nat_header_type ip-only
    ; abuse [email protected]
    log_helo yes
    log_mail_from accepted,rejected
    log_rcpt_to accepted,rejected
    ; locale pl_PL
    ;scan_max_size 1048576
    ;spam_max_size 0
    spam_max_size 131072
    ;spam_max_load 0.5
    spam_threshold 5.0
    ; scanner_path
    antivirus_type clamd
    antivirus_path /var/lib/clamav/clamd.sock
    antispam_type spamassassin
    antispam_path /var/run/spamd.sock
    Last edited by Tinuva (2010-01-27 12:13:03)

  • Eigenvector different result with minitab

    hay, may I ask a question bout my program ? in this case, the result of comparing eigenvectors value have a random plus/min. sometimes, the different appear in random coloumn.
    Attachments:
    eigenvector.jpg ‏115 KB

    hello, i have problem with complex number. i try to get eigenvector number, but when i compare the result in graph different with other similliar software. i think the problem come from complex number. and my question how to change complex number in rounding decimal integer?
    my number eigenvector  result in labview  have positive and negative number. is it because of eigenvector in labview or complex number ? because i think i have already done the correct procedure.
    Attachments:
    Eigenvector problem (2).jpg ‏97 KB

  • CSS giving different results when defined locally, and when defined using an include file.

    In my experimental photo album page I originally defined the
    styles in a
    separate .CSS file. However this appeared to be incompatible
    with the
    requirement to have the session_start (); statement at the
    start of the file, so
    I then defined the styles locally. Now I have found that a
    style which gives
    padding to the right of an image no longer works in IE6,
    although Dreamweaver
    shows the expected result.
    I have made two very simple test files to demonstrate this:
    http://localhost/Corybas/Cydalba/Test/Test_page_8[1
    http://localhost/Corybas/Cydalba/Test/Test_page_8[2
    In Test_page_8[1].htm styles are defined by the include file
    ../Spl2.ccs, which
    is included using the following statement in the head:
    <link href="../Spl2.css" rel="stylesheet" type="text/css"
    />
    The include file reads:
    /* Test.css for Cydalba project */
    .img_left { float:left; border:none; padding-left:0;
    padding-bottom:0;
    padding-top:0; padding-right:10px; }
    p { font-family: "Times New Roman", Times, serif; color:
    #f00000;
    margin-bottom: 0.25em; margin-top: 0px; border: 0; }
    In Test_page_8[2].htm styles are defined locally, using the
    following lines at
    the start of file:
    <style type="text/css">
    /* Test.css for Cydalba project */
    .img_left { float:left; border:none; padding-left:0;
    padding-bottom:0;
    padding-top:0; padding-right:10px; }
    p { font-family: "Times New Roman", Times, serif; color:
    #f00000;
    margin-bottom: 0.25em; margin-top: 0px; border: 0; }
    </style>
    With IE6 Test_page_8[1] gives the expected padding between
    the images and the
    adjacent text, but Test_page_8[2] does not. The para
    definition appears to work
    correctly in both cases.
    Can anyone explain this?
    Clancy

    Hi Rob,
    I am making a wild guess here...the reason could be that the internal tables or variables declared as part of Global data (if any) must be refreshed in your FM code.
    Regards,
    Sumant.

  • To_char displays different results on sql client and server

    Hi,
    I am executing the below query on my database with 8.1.7.4 version:
    SQL> select to_char(to_date('20-OCT-07'),'D') from dual;
    The following result is displayed:
    T
    7
    When the same query is being run through sqlplus client(9.2.0.3) connecting to the same database, following result is being displayed:
    SQL> select to_char(to_date('20-OCT-07'),'D') from dual;
    T
    6
    Could anyone please explain me why is this difference and what parameter setting needs to be made to get the same result.
    Thanks in advance,
    Vishwanath

    Or from the territory part of NLS_LANG OS variable :
    oracle@xxx:/home/oracle# echo $NLS_LANG
    AMERICAN_AMERICA.UTF8
    oracle@xxx:/home/oracle# sqlplus '/ as sysdba'
    SQL*Plus: Release 9.2.0.8.0 - Production on Mon Oct 22 10:44:59 2007
    Copyright (c) 1982, 2002, Oracle Corporation.  All rights reserved.
    Connected to:
    Oracle9i Enterprise Edition Release 9.2.0.8.0 - 64bit Production
    With the Partitioning, OLAP and Oracle Data Mining options
    JServer Release 9.2.0.8.0 - Production
    SQL> select to_char(to_date('20-OCT-07'),'D') from dual;
    T
    7
    SQL> quit
    Disconnected from Oracle9i Enterprise Edition Release 9.2.0.8.0 - 64bit Production
    With the Partitioning, OLAP and Oracle Data Mining options
    JServer Release 9.2.0.8.0 - Production
    oracle@xxx:/home/oracle# export NLS_LANG=AMERICAN_FRANCE.UTF8
    oracle@xxx:/home/oracle# sqlplus '/ as sysdba'
    SQL*Plus: Release 9.2.0.8.0 - Production on Mon Oct 22 10:45:38 2007
    Copyright (c) 1982, 2002, Oracle Corporation.  All rights reserved.
    Connected to:
    Oracle9i Enterprise Edition Release 9.2.0.8.0 - 64bit Production
    With the Partitioning, OLAP and Oracle Data Mining options
    JServer Release 9.2.0.8.0 - Production
    SQL> select to_char(to_date('20-OCT-07'),'D') from dual;
    T
    6
    SQL>Check it on both sites (client and server).
    Nicolas.

  • UDF has 2 different results with the same input

    Hello,
    I have two mappings of the ORDERS idoc.  In both mappings I use the following UDF function to create a long string output:
    public void matConfig(String[] CHAR, String[] CHARTXT, String[] VALUE, String[] VALUETXT, String[] POSEX, String[] LINE, ResultList result, Container container) throws StreamTransformationException{
    int i, j;
    String crlf = "\r\n";
    StringBuffer matConfig;
    j = 0;
    for (i = 0; i < POSEX.length; i++) {
      matConfig = new StringBuffer();
      while (LINE.length > j && Integer.parseInt(POSEX<i>) == Integer.parseInt(LINE[j])) {
        if (matConfig.length() > 0)
          matConfig.append(crlf);
        if ((CHARTXT[j].length() > 0) || (CHAR[j].length() > 0)) {
          if (CHARTXT[j].length() > 0)
            matConfig.append(CHARTXT[j]);
          else
            matConfig.append(CHAR[j]);
          matConfig.append(" : ");
          if (VALUETXT<i>.length() > 0)
            matConfig.append(VALUETXT[j]);
          else
            matConfig.append(VALUE[j]);
          j++;        
      result.addValue(matConfig.toString());     
      result.addContextChange();
    I have checked the queues of all the inbound fields and the values match exactly but in one mapping the output in the queue for this UDF looks like this:
    Correct Result:
    Thickness of Glass: 20 Height: 10 Width: 5 Length: 18
    Thickness of Glass: 10 Height: 15 Width: 8 Length: 14
    Bad Result:
    Thickness of Glass: 20
    Width: 5
    How can the same input using the same java code (cut and pasted to make sure it matched) return 2 different values.  I have verified that they both use the same Imports as well.  The bad one is part of a function library while the good one is a local function. 
    Any ideas?
    Thanks,
    Matt
    Edited by: Matthew Herbert on May 29, 2010 12:09 AM

    You make a good point Stefan but unfortunately I already checked that.  I have even copied the mapping (right click copy) and pasted it from the working Mapping to the bad Map (Paste) to make sure the context values were all the same.
    I also opened all the queues and compared the values in each.  All values match exactly except for the result(out) queue.
    In both tests I am using the same IDOC XML file. 
    These are the only differences I see.
    1.  The IDOC is exactly the same as far as I can tell but they come from two different source SWCV.  SAP APPL 4.7 and Steelcase_Procurement (ECC 6.0). 
    2.  The working map uses a local UDF.  The bad map calls the UDF from a Function Group.  Is there a Java version difference between the two?
    A better sample of the result queues look like this:
    Correct Result:
    Thickness of Glass: 20
    Height: 10
    Width: 5
    Length: 18
    Thickness of Glass: 10
    Height: 15
    Width: 8
    Length: 14
    Bad Result:
    Thickness of Glass: 20
    <null>
    <null>
    <null>
    Width: 5
    <null>
    <null>
    <null>
    I took this chance to redesign my Variant Config output to separate the characteristics/values, but I'm still bothered that I was unable to determine what would cause the differing values.
    Any ideas?
    Thanks,
    Matt

  • Color Correction: different result in Frame Viewer and Canvas

    Hi all:
    I´m doing some color correction with the 3 way CC tool and i´m having troubles with Frame Viewer: the results are not the same in the Canvas and Frame Viewer. The colors in Frame Viewer are a little bit more saturated and they are also a bit darker. I´ m talking about the half Frame Viewer that is supposed to show me the final result after the color correction.
    Mi footage is in HDV 720 25p. Anyone know what is happening????

    You'll probably find them lined up at your Chevy dealer.
    View>Range Check>Excess Luma.

Maybe you are looking for

  • Sender File Adapter Error reading file

    Hello! I have a problem with reading a file using the FTP adapter. I have configured everything according to the steps of weblog "FILE to JDBC Adapter using SAP XI 3.0" (/people/sap.user72/blog/2005/06/01/file-to-jdbc-adapter-using-sap-xi-30). I know

  • Connecting to Secure Wireless

    Hello Everyone! I have had my MacBook for about 8 months now, and it seems that whenever I try to connect to a wireless network that requires me to sign in on a web page (ie a bookstore or downtown wireless network) it rarely lets me open the web pag

  • FM/BAPI for Post Goods Recipt and Reservations

    Hi All, Is there any BAPI/FM for posting Goods receipt and Reservations . Please send some sample example to post goods receipt using Inbound Delivery & Reservations Thanks Bobby

  • CLEAN UNDO TABLESPACE

    Hi Group We need to free up an old UNDO tablespace (TS_ROLLBACK) because we have created a new one (TS_UNDO), ¿how can we do that?, we need to drop old UNDO tablespace but it keeps some extents active more than 4 days. OWNER     SEGMENT_NAME     TABL

  • IOS 8 safari UI is not useful!

    Safari Tab  disapearing in iPhone makes sense, but in iPad the screen is large enough. It cause more gestures to switching tab. It really bothers!